DBIFLAT(1e)

NAME
dbiflat - Index a flat file database

SYNOPSIS

dbiflat -dbname string -idformat list -directory directory -filenames string -release string -date string -fields list -exclude string -maxindex integer -sortoptions string -systemsort boolean -cleanup boolean -outfile outfile -indexoutdir outdir

dbiflat -help

DESCRIPTION

dbiflat is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Utils:Database indexing" command group(s).

OPTIONS

  Input section

-dbname string

-idformat list
    Default value: SWISS

-directory directory
    Default value: .

-filenames string
    Default value: *.dat

  Required section

-release string
    Default value: 0.0

-date string
    Default value: 00/00/00

  Advanced section

-fields list
    Default value: acc

-exclude string

-maxindex integer

-sortoptions string
    Sort options, typically '-T .' to use current directory for work files and '-k 1,1' to force GNU sort to use the first field Default value: -T . -k 1,1

-systemsort boolean
    Default value: Y

-cleanup boolean
    Default value: Y

  Output section

-outfile outfile

-indexoutdir outdir
    Default value: .

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

dbiflat is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.